QB_IPCS_EVENT_SENDV(3)

NAME
qb_ipcs_event_sendv - Send an asynchronous event message to the client.

SYNOPSIS
#include <qb/qbipcs.h>

ssize_t qb_ipcs_event_sendv(
    qb_ipcs_connection_t   *c,        /* connection instance */
    /*
     * the iovec struct that points to the message to send
     */
    const struct iovec     *iov,
    size_t                  iov_len   /* the number of iovecs. */
);

PARAMS
c connection instance

iov the iovec struct that points to the message to send

iov_len the number of iovecs.

DESCRIPTION

RETURN VALUE

size sent or -errno for errors

NOTE

When send returns -EMSGSIZE, this means the msg is too large and will never succeed. To determine the max msg size a client can be sent, use qb_ipcs_connection_get_buffer_size()

SEE ALSO

qb_ipcs_response_send(3), qb_ipcs_ref(3), qb_ipcs_unref(3), qb_ipcs_connection_auth_set(3), qb_ipcs_service_context_get(3), qb_ipcs_connection_ref(3), qb_ipcs_connection_next_get(3), qb_ipcs_stats_get(3), qb_ipcs_connection_unref(3), qb_ipcs_context_set(3), qb_ipcs_poll_handlers_set(3), qb_ipcs_request_rate_limit(3), qb_ipcs_disconnect(3), qb_ipcs_connection_first_get(3), qb_ipcs_enforce_buffer_size(3), qb_ipcs_destroy(3), qb_ipcs_event_send(3), qb_ipcs_connection_stats_get_2(3), qb_ipcs_service_context_set(3), qb_ipcs_connection_stats_get(3), qb_ipcs_service_id_get(3), qb_ipcs_context_get(3), qb_ipcs_connection_get_buffer_size(3), qb_ipcs_create(3), qb_ipcs_run(3), qb_ipcs_connection_service_context_get(3), qb_ipcs_response_sendv(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.